%define name    xchat-systray-integration
%define version 2.4.5
%define release 1%{_my_ext}
%define summary SysTray Integration Plugin for XChat2


Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}
Group:		Networking/Chat
License:	GPL
URL:		http://www.blight.tk
Source:		xchat-systray-integration-2.4.5.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Buildrequires:	gtk+2.0 libgtk+2.0_0-devel libgtk+2.0_0
Requires:	xchat

%description
This plugin integrates XChat2 with the systray.
Works good with Gnome and KDE. It allows you to minimize and maximize XChat to the systray
and provides notification for lots of events like alerts, dccs, private messages, kills, disconnections, invites etc..
It provides an intelligent multiserver away system too, and some links to usually used applications.
All options can be setted by intuitive GUI tab, with an updates-checking system too.


%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/xchat/plugins/
cp systray.so $RPM_BUILD_ROOT/usr/lib/xchat/plugins/systray.so
cp src/images $RPM_BUILD_ROOT/usr/lib/xchat/plugins/images -r
strip -R .note -R .comment $RPM_BUILD_ROOT/usr/lib/xchat/plugins/systray.so

%files
%defattr(-,root,root)
/usr/lib/xchat/plugins/systray.so
   /usr/lib/xchat/plugins/images/GTKTray/dccalert.png
   /usr/lib/xchat/plugins/images/GTKTray/disconnected.png
   /usr/lib/xchat/plugins/images/GTKTray/goaway.png
   /usr/lib/xchat/plugins/images/GTKTray/invited.png
   /usr/lib/xchat/plugins/images/GTKTray/notifyin.png
   /usr/lib/xchat/plugins/images/GTKTray/notifyout.png
   /usr/lib/xchat/plugins/images/GTKTray/xchat.png
   /usr/lib/xchat/plugins/images/GTKTray/xchatblue.png
   /usr/lib/xchat/plugins/images/GTKTray/xchatred.png
   /usr/lib/xchat/plugins/images/Menu/backaway.png
   /usr/lib/xchat/plugins/images/Menu/browser.png
   /usr/lib/xchat/plugins/images/Menu/email.png
   /usr/lib/xchat/plugins/images/Menu/goaway.png
   /usr/lib/xchat/plugins/images/Menu/help.png
   /usr/lib/xchat/plugins/images/Menu/max.png
   /usr/lib/xchat/plugins/images/Menu/min.png
   /usr/lib/xchat/plugins/images/Menu/player.png
   /usr/lib/xchat/plugins/images/Menu/quit.png
   /usr/lib/xchat/plugins/images/Menu/settings.png
   /usr/lib/xchat/plugins/images/Menu/stop.png
   /usr/lib/xchat/plugins/images/Win32Tray/dccalert.ico
   /usr/lib/xchat/plugins/images/Win32Tray/disconnected.ico
   /usr/lib/xchat/plugins/images/Win32Tray/goaway.ico
   /usr/lib/xchat/plugins/images/Win32Tray/invited.ico
   /usr/lib/xchat/plugins/images/Win32Tray/notifyin.ico
   /usr/lib/xchat/plugins/images/Win32Tray/notifyout.ico
   /usr/lib/xchat/plugins/images/Win32Tray/xchat.ico
   /usr/lib/xchat/plugins/images/Win32Tray/xchatblue.ico
   /usr/lib/xchat/plugins/images/Win32Tray/xchatred.ico


%pre
rm -fr /usr/lib/xchat/plugins/images/*
rm -fr /usr/lib/xchat/plugins/systray.so
rm -fr /usr/local/lib/xchat/plugins/systray.so

%post
mkdir -p /usr/lib/xchat/plugins/images
mkdir -p /usr/local/lib/xchat/plugins/
ln -s /usr/lib/xchat/plugins/systray.so /usr/local/lib/xchat/plugins/systray.so

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 23 2004 <sgrayban@borgnet.us> 2.4.5-4bgn
  - Rebuild against currrent xchat-2.0.10
  - xchat-plugin.h header file

* Wed Jul 21 2004 <sgrayban@borgnet.us> 2.4.5-4
  - Fixed bad %postun and created %pre

* Wed Jul 21 2004 <sgrayban@borgnet.us> 2.4.5-3
  - Fixed the file path for images

* Mon Jul 19 2004 <sgrayban@borgnet.us> 2.4.5-1
  - rebuilded for new tray/menu icon's
  - rebuilded for Mandrake 10
